<link rel="import" href="../../../html/polymer.html">

<link rel="import" href="button_bar.html">
<link rel="import" href="psim_flow_ui.html">
<link rel="import" href="esim_flow_ui.html">
<link rel="import" href="cellular_types.html">
<link rel="import" href="cellular_setup_delegate.html">
<link rel="import" href="setup_selection_flow.html">
<link rel="import" href="../../../html/i18n_behavior.html">

<dom-module id="cellular-setup">
  <template>
    <iron-pages
        attr-for-selected="id"
        selected="[[currentPageName]]"
        selected-item="{{currentPage_}}">
      <setup-selection-flow
          selected-page="{{selectedFlow_}}"
          button-state="{{buttonState_}}"
          id="setup-selection-flow">
      </setup-selection-flow>
      <template is="dom-if"
          if="[[isPSimSelected_(currentPageName)]]" restamp>
        <psim-flow-ui
            button-state="{{buttonState_}}"
            name-of-carrier-pending-setup="{{flowTitle}}"
            delegate="[[delegate]]"
            id="psim-flow-ui">
        </psim-flow-ui>
      </template>
      <template is="dom-if"
          if="[[isESimSelected_(currentPageName)]]" restamp>
        <esim-flow-ui
            button-state="{{buttonState_}}"
            delegate="[[delegate]]"
            id="esim-flow-ui">
        </esim-flow-ui>
      </template>
    </iron-pages>
    <button-bar button-state="[[buttonState_]]">
    </button-bar>
  </template>
  <script src="cellular_setup.js"></script>
</dom-module>
